/* A cursor is a overlay-drawn picture that saves what's under it, and
 * thus can be moved over the screen. */

#ifndef __CURSORLIB_H__
#define __CURSORLIB_H__

#include <ws/fblib.h>

typedef struct
 {
  FrameBuffer *fb;
  FrameBuffer backingStore;
  FrameBuffer *cursor;
  Coordinate  x, y;
  Boolean     visible;
 } Cursor;

extern int  cursorCreat           (Cursor *cursor, FrameBuffer *fb, FrameBuffer *image, Coordinate x, Coordinate y);
extern void cursorDestroy         (Cursor *cursor);
extern void cursorMove            (Cursor *cursor, Coordinate x, Coordinate y);
extern void cursorShow            (Cursor *cursor);
extern void cursorHide            (Cursor *cursor);


#endif /* __CURSORLIB_H__    */
