/* Initializes the keyboard of a tty, reads a key-event at every call
 * to keyboardRead, and gives it to the handler supplied. */

#ifndef __KBLIB_H__
#define __KBLIB_H__
#include <ws/misc.h>
#include <unistd.h>
#include <termios.h>

#define KEYBOARD_PACKAGE_MAX_SIZE 10

typedef long Key;

struct KeyboardT
 {
  struct termios origConfig;
  int            fd;
  UnsignedChar   package[KEYBOARD_PACKAGE_MAX_SIZE];
  size_t         read;
  void         (*handler)(Key key, void *data);
  void          *handlerData;
 };
typedef struct KeyboardT Keyboard;
typedef void (*KeyboardHandler)(Key key, void *data);

extern void keyboardCreat(Keyboard *keyboard, int fd, KeyboardHandler handler, void *data);
extern void keyboardDestroy(Keyboard *keyboard);
extern int  keyboardRead(Keyboard *keyboard);
extern void keyboardSetHandler(Keyboard *keyboard, KeyboardHandler handler, void *data);

#endif /* __KBLIB_H__ */
