/* This is a gluelib between a mouse (see mouselib.h) and a cursor
 * (see cursorlib.h). It can be inserted between a Mouse/LatentMouse
 * and any real handler, in order to produce a mousecursor that
 * follows the mouse-movements, on the screen. */

#ifndef __MOUSECURSORLIB_H__
#define __MOUSECURSORLIB_H__

#include <ws/mouselib.h>
#include <ws/cursorlib.h>


struct MousecursorT
 {
  Mouse        *mouse;
  Cursor       *cursor;
  MouseHandler  handler;
  void         *handlerData;
 };
typedef struct MousecursorT Mousecursor;

extern void mousecursorCreat  (Mousecursor *mousecursor, Cursor *cursor, Mouse *mouse, MouseHandler handler, void *handlerData);
extern void mousecursorDestroy(Mousecursor *mousecursor);
extern int  mousecursorRead   (Mousecursor *mousecursor);


#endif /* __MOUSECURSORLIB_H__ */
