/* This library provides rgb-name mapping and lookup for fileformats
 * such as xpm. The filename to read rgb-name mappings from is taken
 * from the environment variable RGBDB, or if it is unset, from the
 * define RGBDB_DEFAULT below. */

#ifndef __RGBDB_H__
#define __RGBDB_H__

#include <ws/fblib.h>
#include <ws/rhstack.h>


#define RGBDB_DEFAULT "/usr/X11R6/lib/X11/rgb.txt"

typedef struct
 {
  Colour colour;
  String name;
 } RGBName;

extern RGBName RGBNameCopy(RGBName src);
#define RGBNameDelete(x) free(x.name)
STACKDECL(RGBName)

extern RGBNameStack rgbDb;
extern int rgbDbRead(Int fd);
extern void rgbDbAssure(void);

#endif /* __RGBDB_H__ */
